﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows.Automation;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows.Controls.TreeView;
using Telerik.Windows.DragDrop;
using System.Windows.Controls;

namespace TreeViewTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.ExplorerTree.ItemsSource = GenerateTree();
           
        }

       

       

        
        private ObservableCollection<DataItem> GenerateTree()
        {
            ObservableCollection<DataItem> firstLevelItems = new ObservableCollection<DataItem>();
            for (int i = 0; i < 3; i++)
            {
                DataItem item = new DataItem() {  Name = String.Format("Item {0}", i), IsChecked = true};
                for (int j = 0; j < 3; j++)
                {
                    DataItem childItem = new DataItem() { Name = String.Format("Item {0}.{1}", i, j) };
                    for (int k = 0; k < 3; k++)
                    {
                        DataItem grandCHildItem = new DataItem() { Name = String.Format("Item {0}.{1}.{2}", i, j, k) };
                        childItem.Children.Add(grandCHildItem);
                    }
                    item.Children.Add(childItem);
                }
                firstLevelItems.Add(item);
            }
            return firstLevelItems;
        }

        private void ExplorerTree_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {

        }

        private void ExplorerTree_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Tab && e.OriginalSource is RadTreeViewItem)
            {
                var box =(e.OriginalSource as RadTreeViewItem).ChildrenOfType<TextBox>()[0];
                box.Focus();
                box.SelectionStart = 0;
                box.SelectionLength = 11;
                e.Handled = true;
            }            
        }       
    }
}
